# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "overflowing_int"
version = "0.1.1"
authors = ["John Williams <jrw@pobox.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A wrapper around num-bigint that provides a small integer optimization."
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/johnw42/overflowing_int"

[features]
arbitrary = [
    "dep:arbitrary",
    "num-bigint/arbitrary",
]
default = [
    "arbitrary",
    "quickcheck",
    "rand",
    "serde",
]
quickcheck = [
    "dep:quickcheck",
    "num-bigint/quickcheck",
]
rand = [
    "dep:rand",
    "num-bigint/rand",
]
serde = [
    "dep:serde",
    "num-bigint/serde",
]

[lib]
name = "overflowing_int"
path = "src/lib.rs"

[[example]]
name = "atan_pi"
path = "examples/atan_pi.rs"

[[example]]
name = "seive"
path = "examples/seive.rs"

[[bench]]
name = "arithmetic"
path = "benches/arithmetic.rs"
harness = false

[[bench]]
name = "pi"
path = "benches/pi.rs"
harness = false

[[bench]]
name = "pi_unsigned"
path = "benches/pi_unsigned.rs"
harness = false

[dependencies.arbitrary]
version = "^1"
optional = true
default-features = false

[dependencies.duplicate]
version = "^2.0.1"

[dependencies.num-bigint]
version = "^0.4.6"

[dependencies.num-integer]
version = "^0.1.46"
features = ["i128"]
default-features = false

[dependencies.num-traits]
version = "^0.2.18"
features = ["i128"]
default-features = false

[dependencies.paste]
version = "^1.0.5"

[dependencies.quickcheck]
version = "^1"
optional = true

[dependencies.quickcheck_macros]
version = "1.2.0"

[dependencies.rand]
version = "^0.8"
optional = true
default-features = false

[dependencies.serde]
version = "^1.0"
optional = true
default-features = false

[dependencies.test_suite_macro]
version = "^0.1.0"

[dev-dependencies.arbitrary]
version = "^1"

[dev-dependencies.criterion]
version = "^0.8.2"
features = ["html_reports"]

[dev-dependencies.num-bigint]
version = "^0.4.0"
features = [
    "rand",
    "quickcheck",
    "serde",
]

[dev-dependencies.quickcheck]
version = "^1"

[dev-dependencies.rand]
version = "^0.8.4"

[dev-dependencies.serde]
version = "^1.0"

[dev-dependencies.serde_json]
version = "^1.0.149"
